import axiosInstance from '@/api';
import MainPage from '@/views/MainPage.vue';
import { createRouter, createWebHistory, type RouteRecordRaw } from 'vue-router';
type Route = RouteRecordRaw;
const routes: Route[] = [];
const router = createRouter({
  history: createWebHistory(),
  routes: routes
});
let status = false;
router.beforeEach(async (to) => {
  console.log(2);
  if (!status) {
    const value = await axiosInstance.get('/api/user/info');
    router.addRoute({ name: 'test', path: '/', component: MainPage });
    status = true;
    return to.fullPath;
  }
  return true;
});
export default router;
